
Redmine - Defect #3259

remove "main-menu" div when the menu is empty

2009-04-29 11:41 - Ludovic Gasc

Status: Closed Start date: 2009-04-29

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 100%

Category: UI Estimated time: 0.00 hour

Target version: 0.9.4   

Resolution: Fixed Affected version: 0.8.3

Description

On some pages, like Home or My page, the project menu is empty but the div html is still present.

It's a problem when you a background image in CSS, because you see the background image without the menu items (see the

screenshot).

Could you remove: 

<div id="main-menu">

</div>

 or add a CSS class to identify an empty menu ?

Thank you very much.

Related issues:

Related to Redmine - Defect #13773: remove "main-menu" div when the project m... New

Associated revisions

Revision 3539 - 2010-03-04 07:01 - Eric Davis

Hide the main menu div if there isn't any items for it. #3259

History

#1 - 2010-03-02 09:47 - Anonymous

- File redmine-3259.diff added

- % Done changed from 0 to 100

Fixed by:

Saving for the result of render_main_menu into menu_html

Adding a class "empty" on main_menu if menu_html.nil?

The attached patch should resolve this issue.

#2 - 2010-03-02 09:48 - Anonymous

- Status changed from New to Resolved

#3 - 2010-03-02 10:30 - Felix Schäfer

- Status changed from Resolved to 7

- Assignee set to Jean-Philippe Lang

JPLang, pushing this up on your radar. The patch seems ok, though I'm not sure this kind of logic should be in a view, I don't have a better idea at the

moment though.

#4 - 2010-03-04 07:03 - Eric Davis

- Status changed from 7 to Resolved
- Target version set to 0.9.4

- Resolution set to Fixed

Felix Schäfer wrote:

The patch seems ok, though I'm not sure this kind of logic should be in a view, I don't have a better idea at the moment though.

 I agree.  I've committed a different version of it which will not display the main-menu div if it's empty (commit r3539)

#5 - 2010-04-11 16:00 - Jean-Philippe Lang

- Status changed from Resolved to Closed

#6 - 2021-07-02 03:55 - Go MAEDA

- Related to Defect #13773: remove "main-menu" div when the project menu is empty added

Files

bug0021.jpeg 9.85 KB 2009-04-29 Ludovic Gasc

redmine-3259.diff 575 Bytes 2010-03-02 Anonymous
http://github.com/edavis10/redmine/commit/7514e12d331bea026155df6cdc2b68df8b77d7b1
https://www.redmine.org/projects/redmine/repository/svn/revisions/3539
